Package org.springframework.validation

# Interface DataBinder.NameResolver

Enclosing class:
  DataBinder

public static interface DataBinder.NameResolver
Strategy to determine the name of the value to bind to a method parameter. Supported on constructor parameters with `constructor binding` which performs lookups via `DataBinder.ValueResolver.resolveValue(java.lang.String, java.lang.Class<?>)`.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveName(org.springframework.core.MethodParameter parameter)`
Return the name to use for the given method parameter, or `null` if unresolved.

## Method Details

### resolveName

@Nullable String resolveName(org.springframework.core.MethodParameter parameter)
Return the name to use for the given method parameter, or `null` if unresolved. For constructor parameters, the name is determined via `DefaultParameterNameDiscoverer` if unresolved.